NodeJs
const { FedaPay, Log } = require('fedapay');
/* Replace YOUR_SECRETE_API_KEY with your real API key */
FedaPay.setApiKey("YOUR_SECRETE_API_KEY");
/* Specify whether you want to run your query in test or live mode */
FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');
/* show a log */
const log = await Log.retrieve( ID, params = {}, headers = {} );\FedaPay\Fedapay::setApiKey(MY_API_KEY);
/**
* @var \FedaPay\FedaPayObject
*/
$response = \FedaPay\Log::retrieve(ID);
$logs = $response->logs;
$meta = $response->meta;require 'fedapay';
# configure FedaPay library
FedaPay.api_key = '' # Your secret api key
FedaPay.environment = '' # sandbox or live
logs = FedaPay::Log.retrieve(ID);curl --request GET \
--url https://sandbox-api.fedapay.com/v1/logs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.fedapay.com/v1/logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.fedapay.com/v1/logs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.fedapay.com/v1/logs/{id}")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": 123,
"method": "<string>",
"url": "<string>",
"status": 123,
"ip_address": "<string>",
"version": "<string>",
"source": "<string>",
"query": "<string>",
"body": "<string>",
"response": "<string>",
"account_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Logs
Get a logs
GET
/
logs
/
{id}
NodeJs
const { FedaPay, Log } = require('fedapay');
/* Replace YOUR_SECRETE_API_KEY with your real API key */
FedaPay.setApiKey("YOUR_SECRETE_API_KEY");
/* Specify whether you want to run your query in test or live mode */
FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');
/* show a log */
const log = await Log.retrieve( ID, params = {}, headers = {} );\FedaPay\Fedapay::setApiKey(MY_API_KEY);
/**
* @var \FedaPay\FedaPayObject
*/
$response = \FedaPay\Log::retrieve(ID);
$logs = $response->logs;
$meta = $response->meta;require 'fedapay';
# configure FedaPay library
FedaPay.api_key = '' # Your secret api key
FedaPay.environment = '' # sandbox or live
logs = FedaPay::Log.retrieve(ID);curl --request GET \
--url https://sandbox-api.fedapay.com/v1/logs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.fedapay.com/v1/logs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.fedapay.com/v1/logs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.fedapay.com/v1/logs/{id}")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": 123,
"method": "<string>",
"url": "<string>",
"status": 123,
"ip_address": "<string>",
"version": "<string>",
"source": "<string>",
"query": "<string>",
"body": "<string>",
"response": "<string>",
"account_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Autorisations
Réponse
List of logs

